LPRng-HOWTO: 15 Oct 2001 (For LPRng-3.7.9)
Prev |  | Next

# Chapter 6. lpr - Job Spooler Program

The lpr client program is used to submit a job to a print spooler. It does this by collecting information about the job, putting it in a control file, and then sending the control file and files to be printed to the print server. The lpr command line options are used to control or specify the values placed in the control file and how the job is to be transferred to the remote host. In addition, there are printcap or configuration level options that provide a further degree of administrative control over additional facilities. You can get the currently supported command line options by using the following command:

        h4: {305} % lpr -=
        lpr: Illegal option '='
         usage summary: lpr [-Pprinter[@host]] [-A] [-B] [-Cclass] [-Fformat] [-Jinfo]
           [-(K|#)copies] [-Q] [-Raccountname]  [-Ttitle]  [-Uuser[@host]] [-V]
           [-Zoptions] [-b] [-m mailaddr] [-h] [-i indent] [-l] [-w num ] [-r]
           [-Ddebugopt ] [ filenames ...  ]
         -A          - use authentication specified by AUTH environment variable
         -B          - filter job before sending
         -C class    - job class
         -D debugopt - debugging flags
         -F format   - job format
           -b,-l        - binary or literal format
            c,d,f,g,l,m,p,t,v are also format options
         -J info     - banner and job information
         -K copies, -# copies   - number of copies
         -P printer[@host] - printer on host
         -Q          - put 'queuename' in control file
         -Raccntname - accounting information
         -T title    - title for 'pr' (-p) formatting
         -U username - override user name (restricted)
         -V          - Verbose information during spooling
         -Z options  - options to pass to filter
         -h          - no header or banner page
         -i indent   - indentation
         -m mailaddr - mail final status to mailaddr
         -r          - remove files after spooling
         -w width    - width to use
         PRINTER, NPRINTER environment variables set default printer.

If you are interested in the exact details of the job transfer, control file, and data file formats, please see RFC 1179 - Line Printer Daemon Protocol for the exact details.

# 6.1. Job Format Options

Options used:

- `default_format=`default print job format (f)

- `fx=`supported formats for printing

The legacy or vintage BSD print spooling system assigned each job a format. This format was used by the lpd server to select an appropriate filter program that would process the job and format it correctly for the printer. By convention, lower case letters were used to specify job formats.

The LPRng lpr client supports the legacy or vintage BSD formats, and also provides the `-Fx` literal to allow addition formats to be specified. If a format is specified the `default_format` value (usually `f`) is used. The `fx=...` option value is a list of the (lower case) characters corresponding to the formats allowed for a spool queue. For example, `fx=flv` would allow only jobs with format `f`, `l`, or `v` to be spooled to a queue. By default, all job formats are allowed.

A couple of job formats that require special treatment: the `b` (binary) and its alias the `l` (literal) format, and the `p` (pretty print) format. The `-b` or `-l` command line literal will select job format `l` (literal) for the job. By default, jobs marked with `l` format are supposed to have a minimum amount of handling and passed directly to a printer. The `p` (pretty print) format is just the opposite - these jobs are supposed to be pretty printed according to the various facilities available to the lpd print spooler.

Prev | Home | Next
User Identification |  | Job Pretty Printing, Banners, Priority, and Accounting